Bug 50738 - Checking the "Active" box in neat apparently does nothing - until the program is closed
Checking the "Active" box in neat apparently does nothing - until the program...
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2001-08-02 14:52 EDT by Panic
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-06 10:21:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Panic 2001-08-02 14:52:59 EDT
Description of Problem:

Checking and unchecking the active box does nothing while you are in the
neat program.  Leaving it unchecked and clicking OK (which closes the
program) removes the symlink in /etc/sysconfig/network-scripts.

This doesn't make any sense.  "Active" implies the interface is up and
running, and "inactive" implies that the interface is not up and running,
but is still there (which is not the case -- ifdown eth0 gets you "usage:
ifdown <device name>).  The control has no effect that is visible other
than the removal of the check mark.  If you deactivate an interface in the
gui while it is running, you can no longer control the interface with
ifup/ifdown at all -- you must use ifconfig manually to remove the
interface and do all the cleanup the initscripts normally do yourself.

Essentially, you get into a situation where the interface is clearly listed
in neat, but a vast amount of effort is actually required to manipulate it,
since it is in the "inactive" state and the ifcfg-eth0 script has been
removed from /etc/sysconfig/network-scripts.

Also, if this is going to be the case, the Application should have an Apply
button so that changes can be made without having to exit the program.

How Reproducible:


Steps to Reproduce:
1. DeActivate an interface in neat while it is still running
2. Click OK to activate changes to the Active checks (closes the program).
3. Note that you now have a running interface, but ifup/ifdown do not work
on it.

Actual Results:

Loss of easy control over interfaces,  Activate choices do not take effect
until the program is exited, it is not clear at all what the Active
checkbox is for.

Expected Results:

The Active checkbox should:

a) raise/lower the interface (Delete takes care of the interface if we want
to "deactivate" it);


b) raise/lower the interface immediately upon checking or unchecking the box;


c) go away completely because it is going to cause more problems than it

Additional Information:
Comment 1 Trond Eivind Glomsrxd 2001-08-02 16:41:17 EDT
We need "apply" functionality...
Comment 2 Glen Foster 2001-08-02 17:46:26 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 3 Phil Knirsch 2001-08-08 08:13:09 EDT
The problem is that here 'Active' and 'Inactive' are used in two contexts.

There is a very clear definition of active and inactive devices for real system
devices and one for neat devices.

In neat you can have multiple devices configured to use eth0. Depending on where
you are (e.g. if you have a laptop) you can then activate one or the other.

These neat activations are NOT done immediately on the system level for several

1) You often don't want this change to happend immediately. Just think of remote
configuration over ppp and changeing the configuration of that device.

2) It should be up to the user when to restart resp stop and start the network.
If neat always does it we limit choice, which is bad.

3) By having an additional Apply button (which has just been added as it was
really missing) we provide the required logic to let the user update the real
configuration when he/she wants to.

4) Neat's intention and logic is to configure the devices, not to automatically
and magically fiddle with the current network state of the machine. That way we
keep these 2 different aspects of networking separate (which is always a good
idea in software and interface design).

So it boils down to the simple fact that the Active checkboxes are doing exactly
what they should do, but that we had ommited to provide an Apply functionality
to neat (which as previously mentioned has been added now).

I hope this clarifies the idea and necessity for the active checkboxes and their

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.